Find file
Fetching contributors…
Cannot retrieve contributors at this time
77 lines (71 sloc) 2.53 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "heroku-auto_scale"
s.version = "0.1.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Kristian Mandrup"]
s.date = "2012-04-28"
s.description = "Lets you auto-scale jobs per worker on Heroku"
s.email = "kmandrup@gmail.com"
s.extra_rdoc_files = [
"LICENSE.txt",
"README.md"
]
s.files = [
".document",
".rspec",
"Gemfile",
"Gemfile.lock",
"LICENSE.txt",
"README.md",
"Rakefile",
"VERSION",
"config/heroku/worker_auto_scale.yml",
"heroku-auto_scale.gemspec",
"lib/heroku-auto_scale.rb",
"lib/heroku_resque/auto_scale.rb",
"lib/heroku_resque/auto_scale/loader.rb",
"lib/heroku_resque/auto_scale/scaler.rb",
"lib/heroku_resque/rails/engine.rb",
"lib/heroku_stack.rb",
"spec/heroku-auto_scale_spec.rb",
"spec/jobs/scaling_job.rb",
"spec/spec_helper.rb"
]
s.homepage = "http://github.com/kristianmandrup/heroku-auto_scale"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = "1.8.22"
s.summary = "Auto-scale jobs per worker on Heroku"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<resque>, [">= 1.10.0"])
s.add_runtime_dependency(%q<heroku>, [">= 0"])
s.add_development_dependency(%q<rspec>, ["~> 2.8.0"])
s.add_development_dependency(%q<rdoc>, ["~> 3.12"])
s.add_development_dependency(%q<bundler>, ["~> 1.1.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_development_dependency(%q<simplecov>, [">= 0.5"])
else
s.add_dependency(%q<resque>, [">= 1.10.0"])
s.add_dependency(%q<heroku>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.8.0"])
s.add_dependency(%q<rdoc>, ["~> 3.12"])
s.add_dependency(%q<bundler>, ["~> 1.1.0"])
s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_dependency(%q<simplecov>, [">= 0.5"])
end
else
s.add_dependency(%q<resque>, [">= 1.10.0"])
s.add_dependency(%q<heroku>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.8.0"])
s.add_dependency(%q<rdoc>, ["~> 3.12"])
s.add_dependency(%q<bundler>, ["~> 1.1.0"])
s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_dependency(%q<simplecov>, [">= 0.5"])
end
end